summaryrefslogtreecommitdiff
path: root/.github/pre-push
diff options
context:
space:
mode:
authorMike Vink <mike@pionative.com>2025-01-19 13:52:31 +0100
committerMike Vink <mike@pionative.com>2025-01-19 13:52:31 +0100
commitc65afb488eb9eab85063d79783d40ae1d7138586 (patch)
tree48ce8318f6fc22eb0b82df83b5c175469b853643 /.github/pre-push
Squashed 'mut/neovim/pack/plugins/start/quicker.nvim/' content from commit 049def7
git-subtree-dir: mut/neovim/pack/plugins/start/quicker.nvim git-subtree-split: 049def718213d3cdf49fdf29835aded09b3e54a3
Diffstat (limited to '.github/pre-push')
-rwxr-xr-x.github/pre-push11
1 files changed, 11 insertions, 0 deletions
diff --git a/.github/pre-push b/.github/pre-push
new file mode 100755
index 0000000..ecb23a9
--- /dev/null
+++ b/.github/pre-push
@@ -0,0 +1,11 @@
+#!/bin/bash
+set -e
+IFS=' '
+while read local_ref _local_sha _remote_ref _remote_sha; do
+ remote_main=$( (git symbolic-ref refs/remotes/origin/HEAD 2>/dev/null || echo "///master") | cut -f 4 -d / | tr -d "[:space:]")
+ local_ref_short=$(echo "$local_ref" | cut -f 3 -d / | tr -d "[:space:]")
+ if [ "$local_ref_short" = "$remote_main" ]; then
+ make lint
+ make test
+ fi
+done